"use strict";
//  COPYRIGHT:       PrimeObjects Software Inc. (C) 2022 All Right Reserved
//  COMPANY URL:     https://www.primeobjects.com/
//  CONTACT:         developer@primeobjects.com
//
//  This source is subject to the PrimeObjects License Agreements.
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Logo = void 0;
var react_1 = __importDefault(require("react"));
var core_1 = require("primeobjects-helper-util/build/cjs/core");
var lodash_1 = require("lodash");
var svg_1 = __importDefault(require("./svg"));
var img_1 = __importDefault(require("./img"));
var Logo = function (props) {
    var color = props.color, id = props.id, text = props.text, subText = props.subText;
    var logoSize = (0, lodash_1.isNumber)(props.logoSize) && props.logoSize > 0 ? props.logoSize : 40;
    var logoSrc = props.logoSrc ? props.logoSrc : "/logo.svg";
    var logoStyle = (0, core_1.isObject)(props.logoStyle) ? props.logoStyle : {};
    var wrapperClassName = props.wrapperClassName
        ? props.wrapperClassName
        : "";
    var className = props.className ? props.className : "";
    var textWrapperClassName = props.textWrapperClassName
        ? props.textWrapperClassName
        : "";
    var textWrapperStyle = __assign({}, props.textWrapperStyle);
    var textClassName = props.textClassName ? props.textClassName : "";
    var textStyle = __assign({ color: color }, props.textStyle);
    var subTextClassName = props.subTextClassName
        ? props.subTextClassName
        : "";
    var subTextStyle = __assign({}, props.subTextStyle);
    var onClick = function () {
        if ((0, lodash_1.isFunction)(props.onClick))
            props.onClick();
    };
    return (react_1.default.createElement("div", { className: "flex justify-start ".concat(wrapperClassName) },
        react_1.default.createElement("div", { className: "flex flex-row items-center ".concat(className), style: (0, lodash_1.isFunction)(props.onClick) ? { cursor: "pointer" } : {}, onClick: onClick },
            logoSrc.indexOf(".svg") > 0 ? (react_1.default.createElement(svg_1.default, { id: id, src: logoSrc, color: color, size: logoSize, style: __assign({}, logoStyle) })) : (react_1.default.createElement(img_1.default, { id: id, src: logoSrc, style: __assign({ width: logoSize }, logoStyle) })),
            (text || subText) && (react_1.default.createElement("div", { style: textWrapperStyle, className: "flex flex-col ml-2 justify-center ".concat(textWrapperClassName) },
                text && (react_1.default.createElement("span", { style: textStyle, className: "leading-none text-lg font-bold ".concat(textClassName) }, text)),
                subText && (react_1.default.createElement("span", { style: subTextStyle, className: "leading-none text-gray-500 text-sm ".concat(subTextClassName) }, subText)))))));
};
exports.Logo = Logo;
exports.default = exports.Logo;
//# sourceMappingURL=logo.js.map