//  COPYRIGHT:       PrimeObjects Software Inc. (C) 2022 All Right Reserved
//  COMPANY URL:     https://www.primeobjects.com/
//  CONTACT:         developer@primeobjects.com
//
//  This source is subject to the PrimeObjects License Agreements.
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useEffect, useState } from "react";
import { isInteger, isNil } from "lodash";
import { useResizeDetector } from "react-resize-detector";
export var GradientDiv = function (props) {
    var _a = useResizeDetector(), width = _a.width, height = _a.height, ref = _a.ref;
    var _b = useState(false), isOverflowX = _b[0], setIsOverflowX = _b[1];
    var tooltip = props.tooltip, children = props.children, onChangeOverflow = props.onChangeOverflow, divProps = __rest(props, ["tooltip", "children", "onChangeOverflow"]);
    var className = props.className ? props.className : "";
    var alignment = props.alignment == "right" ? "right" : "left";
    var gradientAreaWidth = !isNil(props.gradientAreaWidth) &&
        isInteger(props.gradientAreaWidth) &&
        props.gradientAreaWidth > 20
        ? props.gradientAreaWidth
        : !isNil(width)
            ? width
            : "20%";
    var gradientStages = props.gradientStages
        ? props.gradientStages
        : [65, 75, 85];
    var rgb = props.gradientColorRGB
        ? props.gradientColorRGB
        : { r: 255, g: 255, b: 255 };
    useEffect(function () {
        var overflow = ref.current.scrollWidth - ref.current.clientWidth > 0;
        if (isOverflowX != overflow && onChangeOverflow)
            onChangeOverflow(overflow);
        setIsOverflowX(overflow);
    }, [width, children]);
    return (React.createElement("div", __assign({ ref: ref }, divProps, { title: isOverflowX && tooltip ? tooltip : "", className: "gradient-div w-full relative whitespace-nowrap overflow-hidden grid ".concat(alignment == "right" && !isOverflowX
            ? "text-right"
            : "text-left", " ").concat(className) }),
        children,
        isOverflowX && (React.createElement("div", { className: "absolute gradient-div-tail", style: {
                height: height,
                top: 0,
                right: 0,
                width: gradientAreaWidth,
                background: "linear-gradient(90deg, rgba(".concat(rgb.r, ",").concat(rgb.g, ",").concat(rgb.b, ",0) 0%, rgba(").concat(rgb.r, ",").concat(rgb.g, ",").concat(rgb.b, ",0.25) ").concat(gradientStages[0], "%, rgba(").concat(rgb.r, ",").concat(rgb.g, ",").concat(rgb.b, ",0.5) ").concat(gradientStages[1], "%, rgba(").concat(rgb.r, ",").concat(rgb.g, ",").concat(rgb.b, ",0.75) ").concat(gradientStages[2], "%, rgb(").concat(rgb.r, ",").concat(rgb.g, ",").concat(rgb.b, "))")
            } }))));
};
export default GradientDiv;
//# sourceMappingURL=gradient-div.js.map