//  COPYRIGHT:       PrimeObjects Software Inc. (C) 2022 All Right Reserved
//  COMPANY URL:     https://www.primeobjects.com/
//  CONTACT:         developer@primeobjects.com
//
//  This source is subject to the PrimeObjects License Agreements.
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React from "react";
import { isObject } from "primeobjects-helper-util/build/cjs/core";
import { isFunction, isNumber } from "lodash";
import SVG from "./svg";
import Img from "./img";
export var Logo = function (props) {
    var color = props.color, id = props.id, text = props.text, subText = props.subText;
    var logoSize = isNumber(props.logoSize) && props.logoSize > 0 ? props.logoSize : 40;
    var logoSrc = props.logoSrc ? props.logoSrc : "/logo.svg";
    var logoStyle = isObject(props.logoStyle) ? props.logoStyle : {};
    var wrapperClassName = props.wrapperClassName
        ? props.wrapperClassName
        : "";
    var className = props.className ? props.className : "";
    var textWrapperClassName = props.textWrapperClassName
        ? props.textWrapperClassName
        : "";
    var textWrapperStyle = __assign({}, props.textWrapperStyle);
    var textClassName = props.textClassName ? props.textClassName : "";
    var textStyle = __assign({ color: color }, props.textStyle);
    var subTextClassName = props.subTextClassName
        ? props.subTextClassName
        : "";
    var subTextStyle = __assign({}, props.subTextStyle);
    var onClick = function () {
        if (isFunction(props.onClick))
            props.onClick();
    };
    return (React.createElement("div", { className: "flex justify-start ".concat(wrapperClassName) },
        React.createElement("div", { className: "flex flex-row items-center ".concat(className), style: isFunction(props.onClick) ? { cursor: "pointer" } : {}, onClick: onClick },
            logoSrc.indexOf(".svg") > 0 ? (React.createElement(SVG, { id: id, src: logoSrc, color: color, size: logoSize, style: __assign({}, logoStyle) })) : (React.createElement(Img, { id: id, src: logoSrc, style: __assign({ width: logoSize }, logoStyle) })),
            (text || subText) && (React.createElement("div", { style: textWrapperStyle, className: "flex flex-col ml-2 justify-center ".concat(textWrapperClassName) },
                text && (React.createElement("span", { style: textStyle, className: "leading-none text-lg font-bold ".concat(textClassName) }, text)),
                subText && (React.createElement("span", { style: subTextStyle, className: "leading-none text-gray-500 text-sm ".concat(subTextClassName) }, subText)))))));
};
export default Logo;
//# sourceMappingURL=logo.js.map