//  COPYRIGHT:       PrimeObjects Software Inc. (C) 2022 All Right Reserved
//  COMPANY URL:     https://www.primeobjects.com/
//  CONTACT:         developer@primeobjects.com
//
//  This source is subject to the PrimeObjects License Agreements.
import React, { Fragment, useRef } from "react";
import { Dialog, Transition } from "@headlessui/react";
import { useEnvStore } from "primeobjects-ui-web-store";
import { SVG } from "primeobjects-ui-web-basic";
import { isNumber } from "lodash";
export var PlainModal = function (props) {
    var show = props.show, title = props.title, onClickClose = props.onClickClose, width = props.width;
    var cancelButtonRef = useRef(null);
    var envStore = useEnvStore();
    return (React.createElement(Transition.Root, { show: show, as: Fragment },
        React.createElement(Dialog, { as: "div", className: "relative z-10", initialFocus: cancelButtonRef, onClose: function () { } },
            React.createElement(Transition.Child, { as: Fragment, enter: "ease-out duration-300", enterFrom: "opacity-0", enterTo: "opacity-100", leave: "ease-in duration-200", leaveFrom: "opacity-100", leaveTo: "opacity-0" },
                React.createElement("div", { className: "fixed inset-0 bg-gray-500 bg-opacity-75 transition-opacity" })),
            React.createElement("div", { className: "fixed inset-0 z-10 overflow-y-auto" },
                React.createElement("div", { className: "flex min-h-full items-end justify-center p-4 text-center sm:items-center sm:p-0" },
                    React.createElement(Transition.Child, { as: Fragment, enter: "ease-out duration-300", enterFrom: "opacity-0 translate-y-4 sm:translate-y-0 sm:scale-95", enterTo: "opacity-100 translate-y-0 sm:scale-100", leave: "ease-in duration-200", leaveFrom: "opacity-100 translate-y-0 sm:scale-100", leaveTo: "opacity-0 translate-y-4 sm:translate-y-0 sm:scale-95" },
                        React.createElement(Dialog.Panel, { className: "flex flex-col transform overflow-hidden rounded-lg bg-white text-left shadow-xl transition-all w-full max-w-6xl", style: {
                                height: envStore.height - 40,
                                margin: 20,
                                width: isNumber(width) ? width : "100%"
                            } },
                            React.createElement("div", { className: "w-full flex p-4 border-b bg-gray-50 " },
                                React.createElement(Dialog.Title, { as: "h2", className: "text-lg flex-1 font-medium leading-none text-gray-900 mb-0" }, title),
                                React.createElement("div", { className: "cursor-pointer", onClick: onClickClose },
                                    React.createElement(SVG, { src: "/icons/platform/close.svg", size: 20 }))),
                            React.createElement("div", { className: "w-full flex flex-row", style: { height: envStore.height - 95 } }, props.children))))))));
};
export default PlainModal;
//# sourceMappingURL=plain-modal.js.map